Bug 6690 - If multiple issues are received in serials-edit.pl, changing the status of any issue changes the date of the first issue.
Summary: If multiple issues are received in serials-edit.pl, changing the status of an...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Target Milestone: ---
Assignee: Frédérick Capovilla
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-09 20:41 UTC by Frédérick Capovilla
Modified: 2013-12-05 20:04 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Corrects a problem with the wrong date being updated in serials-edit.pl (3.56 KB, patch)
2011-08-09 20:42 UTC, Frédérick Capovilla
Details | Diff | Splinter Review
Bug 6690: If multiple issues are received in serials-edit.pl, changing the status of any issue changes the date of the first issue. (3.56 KB, patch)
2011-08-14 19:44 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6690: If multiple issues are received in serials-edit.pl, changing the status of any issue changes the date of the first issue. (3.60 KB, patch)
2011-08-14 23:49 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Frédérick Capovilla 2011-08-09 20:41:44 UTC
On serials-edit.pl

If multiple issues are ready to be received for a subscription, changing the "Status" of any issue in the table changes the "Expected on" date of the first item in the table.
Comment 1 Frédérick Capovilla 2011-08-09 20:42:56 UTC
Created attachment 4914 [details] [review]
Corrects a problem with the wrong date being updated in serials-edit.pl

Patch that corrects the javascript code on the serials-edit.pl page so the date on the correct row gets updated.
Comment 2 Katrin Fischer 2011-08-11 17:21:50 UTC
I can confirm the bug in current master. 

But attached patch contains changes to a tmpl file - so we need a reformatted patch for master.

Also 3.2.x is no longer maintained.
Comment 3 Katrin Fischer 2011-08-14 19:44:11 UTC Comment hidden (obsolete)
Comment 4 Nicole C. Engard 2011-08-14 23:49:43 UTC
Created attachment 5010 [details] [review]
[SIGNED-OFF] Bug 6690: If multiple issues are received in serials-edit.pl, changing the status of any issue changes the date of the first issue.

If multiple issues are in the list, changing the status of any issue in
the table would always change the "Expected on" date of the first issue.
Modified the javascript so the date is modified on the correct row.

Reimplementation of Patch for 3.4.x
Patch for 3.2.x from Frédérick Capovilla

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Comment 5 Chris Nighswonger 2011-08-15 13:12:23 UTC
I've pushed this patch to both 3.4.x and 3.2.x. Although no other release for 3.2.x is planned, it was trivial to push to the repo for anyone who may want it.
Comment 6 Katrin Fischer 2011-08-15 13:21:54 UTC
Problem is also present in master, patch will work there too.
Comment 7 Chris Nighswonger 2011-08-15 13:27:59 UTC
Resetting status to 'Signed Off' as this patch needs to be pushed to master.
Comment 8 Ian Walls 2011-08-25 01:40:19 UTC
Template only change, easy to read, marking as Passed QA
Comment 9 Chris Cormack 2011-08-25 22:29:23 UTC
Pushed please test
Comment 10 Jared Camins-Esakov 2012-12-31 00:15:08 UTC
There have been no further reports of problems so I am marking this bug resolved.